X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

i've upgraded to firefox 18 can i revert to firefox 17? mac os 10

Posted

The font on the bookmarks bar has been increased in size...I hate it. Youtube only works on some videos

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.5 r502
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Displays Java applet content, or a placeholder if Java is not installed.

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:18.0) Gecko/20100101 Firefox/18.0

More Information

I've disabled all the addons and it made no difference....help!!

cor-el
  • Top 10 Contributor
  • Moderator
10748 solutions 96724 answers

Can you attach a screenshot?

Use a compressed image type like PNG or JPG to save the screenshot.

Is this still the same font or a different font that is larger?

Question owner

This is what it looked like before, see the top right hand of the pic [IMG]http://i80.photobucket.com/albums/j183/gwa_2006/Capture-20.gif/IMG This is what it looks like now [IMG]http://i80.photobucket.com/albums/j183/gwa_2006/Untitled_zps9c596ec2.jpg/IMG

Question owner

In addition I can't always get to the [img] code in Photobucket

Question owner

Add to that street view in Google maps has stopped working. Why oh why do you guys not beta test these things properly. I would happily pay for a browser that worked properly and did the things that I,I,I,I want it to do!!!!!
Here's a pic of Google street view!
http://i80.photobucket.com/albums/j183/gwa_2006/Untitled_zps257329bd.jpg

Modified by cor-el

eedoody 0 solutions 3 answers

Once again Firefox is unusable because of an upgrade. All your best 'addons' seem to be non compatibile. To name a few:-

Scrapbook - Not is sidebar - or anywhere else to be exact (i.e. the icons which WERE on the navigation toolbar/the icon which SHOULD be present in the toolbar/customise list) except being listed in the tools/addons NoScript - Same as Scrapbook - criminal that this no longer protects us. VideoHelper - Ditto. Session Manager - Bye bye to that too it would seem.

Can we revert or not?

Question owner

I use a mac so this may not be relevant to you. Version 17 is available here.

You can get a Windows version here ftp://ftp.mozilla.org/pub/firefox/releases/

.
.

edit: There is no need to go to any random unofficial download sites for any older versions. Keep in mind that the older release versions are vulnerable.

Modified by James

eedoody 0 solutions 3 answers

Many thanks, I am going back to 17 soon. I know 'addons' are always an issue but the new version seems to be incompatible with almost all of them as well as messing around with other things (Google maps etc).

I've read there have been major changes to JS and Java handling. Security is one thing but increasing security so that a product loses its usefullness/functionality is something else.

James
  • Top 25 Contributor
  • Moderator
437 solutions 3148 answers

Helpful Reply

Also if you must downgrade to 17.0.* then at least consider using the 17.0esr channel releases. It may not get every single security fix that the then current release gets, however it will be much safer than using the old 17.0.1. The ESR version is meant more for Enterprise users in mind versus regular users. http://www.mozilla.org/en-US/firefox/organizations/all.html


If you want to get back on Release channel again in future, the easiest way is to install the current release version.

James
  • Top 25 Contributor
  • Moderator
437 solutions 3148 answers

What addons are not compatible with 18.0.1 ? as the Plugins should not be a issue (though older insecure versions may be disabled by default due to blocklist), the Themes (not referring to Personas toolbar wallpaper) very likely need a update while most Extensions that were compatible with Firefox 10.0 or even 4.0 are still compatible with 18.0.1.

Unless

- Extensions which use XPCOM binary components must be recompiled specifically for the Firefox version. (antivirus toolbars for example)

- Extensions that use the "strict compatibility" flag in the install.rdf.

- Extensions with a max version compatibility lower than Firefox 4.0.

- Extensions tested by addons.mozilla.org and discovered to be incompatible by automated testing.

Question owner

Hi James, please read my original and subsequent posts that show the problems I had with version 18. I'm afraid that I have no idea what "- Extensions which use XPCOM binary components must be recompiled specifically for the Firefox version. (antivirus toolbars for example)

- Extensions that use the "strict compatibility" flag in the install.rdf.

- Extensions with a max version compatibility lower than Firefox 4.0." means TIA

James
  • Top 25 Contributor
  • Moderator
437 solutions 3148 answers

I was replying to eedoody more. Besides extensions like NoScript should work as his version may be older (there were six versions since Fx 18.0 release) as Version 2.6.4.4 of NoScript was released January 29, 2013 for example.

The first example usually relate to Extensions provide by antivirus clients like say Norton which needs to be made for each new major Firefox release. The last example is Extensions that have a maxversion of 3.6.* or earlier and not 4.0.* in the in the install.rdf.

eedoody 0 solutions 3 answers

James, I'm not trying to be negative here and I appreciate your comments on this. However my main gripe is as follows:-

1. When I upgraded to V18 it was like starting Firefox from scratch. All the previous sessions - gone. All the useful addons - gone. 2. Trying to replace the missing addons via drag and drop (from the 'Toolbars/Customise' menu) - couldn't do it. 3. As a result I was then forced to consider downloading and installing the missings addons (NoScript, ScrapBook, etc.) again. Something I didn't want to do for the following reasons:- a) Wasn't sure it would work anyway b) If it did I'd have the inconvenience of configuring the addon again. Particularly annoying for ScrapBook and NoScript where I'd built up quite a good configuration. I believe I did try this for ScrapBook and that is exactly what happened (lost my configuration). 4. Furthermore I had to work out exactly what addons I had in the first place as (maybe I'm wrong) they were not listed in the addons list in FF18.

Maybe I did something wrong but in my case FF18 was like starting anew with all the bother of reconfiguring from scratch. As soon as I reverted back to FF17, everything was back to normal.

I hope this explains why I had such a negative experience and why I'm so reluctant to to through the process again.

cor-el
  • Top 10 Contributor
  • Moderator
10748 solutions 96724 answers

Helpful Reply

Sounds that a new profile got created either via a reset or the profiles.ini got deleted forcing a new profile or the Firefox Profile Folder got deleted, possibly caused by uninstalling Firefox and removing personal data.